Data Structures | Enumerations | Variables

# newgrf_animation_type.h File Reference

Definitions related to NewGRF animation. More...

Go to the source code of this file.

## Data Structures
struct | AnimationInfo
| Information about animation. More...
## Enumerations
enum | StationAnimationTrigger { SAT_BUILT, SAT_NEW_CARGO, SAT_CARGO_TAKEN, SAT_TRAIN_ARRIVES, SAT_TRAIN_DEPARTS, SAT_TRAIN_LOADS, SAT_250_TICKS }
| Animation triggers for station. More...
enum | IndustryAnimationTrigger { IAT_CONSTRUCTION_STATE_CHANGE, IAT_TILELOOP, IAT_INDUSTRY_TICK, IAT_INDUSTRY_RECEIVED_CARGO, IAT_INDUSTRY_DISTRIBUTES_CARGO }
| Animation triggers of the industries. More...
enum | AirpAnimationTrigger { AAT_BUILT, AAT_TILELOOP, AAT_STATION_NEW_CARGO, AAT_STATION_CARGO_TAKEN, AAT_STATION_250_TICKS }
| Animation triggers for airport tiles. More...
enum | ObjectAnimationTrigger { OAT_BUILT, OAT_TILELOOP, OAT_256_TICKS }
| Animation triggers for objects. More...
## Variables
static const uint8 | ANIM_STATUS_NON_LOOPING = 0x00
| Animation is not looping.
static const uint8 | ANIM_STATUS_LOOPING = 0x01
| Animation is looping.
static const uint8 | ANIM_STATUS_NO_ANIMATION = 0xFF
| There is no animation.

## Detailed Description

Definitions related to NewGRF animation.

Definition in file newgrf_animation_type.h.

## Enumeration Type Documentation

enum AirpAnimationTrigger

Animation triggers for airport tiles.

Enumerator:

  AAT_BUILT | Triggered when the airport is built (for all tiles at the same time).
  AAT_TILELOOP | Triggered in the periodic tile loop.
  AAT_STATION_NEW_CARGO | Triggered when new cargo arrives at the station (for all tiles at the same time).
  AAT_STATION_CARGO_TAKEN | Triggered when a cargo type is completely removed from the station (for all tiles at the same time).
  AAT_STATION_250_TICKS | Triggered every 250 ticks (for all tiles at the same time).

Definition at line 48 of file newgrf_animation_type.h.

enum IndustryAnimationTrigger

Animation triggers of the industries.

Enumerator:

  IAT_CONSTRUCTION_STATE_CHANGE | Trigger whenever the construction state changes.
  IAT_TILELOOP | Trigger in the periodic tile loop.
  IAT_INDUSTRY_TICK | Trigger every tick.
  IAT_INDUSTRY_RECEIVED_CARGO | Trigger when cargo is received .
  IAT_INDUSTRY_DISTRIBUTES_CARGO | Trigger when cargo is distributed.

Definition at line 39 of file newgrf_animation_type.h.

enum ObjectAnimationTrigger

Animation triggers for objects.

Enumerator:

  OAT_BUILT | Triggered when the object is built (for all tiles at the same time).
  OAT_TILELOOP | Triggered in the periodic tile loop.
  OAT_256_TICKS | Triggered every 256 ticks (for all tiles at the same time).

Definition at line 57 of file newgrf_animation_type.h.

enum StationAnimationTrigger

Animation triggers for station.

Enumerator:

  SAT_BUILT | Trigger tile when built.
  SAT_NEW_CARGO | Trigger station on new cargo arrival.
  SAT_CARGO_TAKEN | Trigger station when cargo is completely taken.
  SAT_TRAIN_ARRIVES | Trigger platform when train arrives.
  SAT_TRAIN_DEPARTS | Trigger platform when train leaves.
  SAT_TRAIN_LOADS | Trigger platform when train loads/unloads.
  SAT_250_TICKS | Trigger station every 250 ticks.

Definition at line 28 of file newgrf_animation_type.h.